import javax.bluetooth.*;
import java.io.*;
import javax.microedition.io.*;

import java.util.Vector;

public class Lib_btlib
{
    //private static String URL = "btspp://001F81000830:1;authenticate=false;encrypt=false;master=false";
    private static StreamConnection con;
    private static InputStream ins;
    private static OutputStream out;
    private static int temp;
    
    public static BTUtils btu = new BTUtils();
    /*
    public static void init()
    {
     try
        {
        LocalDevice local = LocalDevice.getLocalDevice();
        local.setDiscoverable(DiscoveryAgent.GIAC);
         }
    catch (Exception e)
        {
        M.onerror(e.toString());
        }
    }
    */

    public static void start_inquiry()
    {
        btu.startDeviceInquiry();
    }

    public static void start_svcsearch(int i)
    {
        btu.startServiceSearch(i);
    }

    public static int get_devcnt()
    {
        return btu.devcnt();
    }

    public static int get_svccnt()
    {
        return btu.svccnt();
    }

    public static String get_devstr(int i)
    {
        return btu.devstr(i);
    }

    public static String get_svcurl(int i)
    {
        return btu.svcurl(i);
    }

 public static void connect(String MAC,String PORT)
 {
    try
    {
    String url = "btspp://"+MAC+":"+PORT+";authenticate=false;encrypt=false;master=false";
    con = (StreamConnection) Connector.open(url, Connector.READ_WRITE);
    out = con.openOutputStream();
    ins = con.openInputStream();
    }
    catch (Exception e)
    {
    M.onerror(e.toString());
    }
 }

 public static void disconnect()
 {
    try
    {
    if(con != null) con.close();
    if(out != null) out.close();
    if(ins != null) ins.close();
    }
    catch (Exception e)
    {
    //Alarm(e);
    }
 }

 public static void transmit(int temp)
 {
    try
    {
    out.write(temp);
    out.flush();
    }
    catch(Exception e)
    {
    //Alarm(e);
     }
 }

 public static int receiver()
 {
    try
    {
    temp = (int)(ins.read());
    }
    catch(Exception e)
    {
    //Alarm(e);
    }
    return temp;
 }


 }